Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/gh/
Date: Sat, 23 May 2020 18:49:31
Message-Id: 1590259753.33583d4cd80a1a7de94cd6dc97a8c32168f0dae1.graaff@gentoo
commit:     33583d4cd80a1a7de94cd6dc97a8c32168f0dae1
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May 23 18:35:43 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat May 23 18:49:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33583d4c

dev-ruby/gh: add 0.17.0

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/gh/Manifest         |  1 +
 dev-ruby/gh/gh-0.17.0.ebuild | 42 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-ruby/gh/Manifest b/dev-ruby/gh/Manifest
index cfd91624094..8464b093c17 100644
--- a/dev-ruby/gh/Manifest
+++ b/dev-ruby/gh/Manifest
@@ -1 +1,2 @@
 DIST gh-0.16.0.tar.gz 129499 BLAKE2B 6dea86bcaa8191b2eb19daed487d80e5b55adadccb1c063320b44e742895cad1956e06a917ff35659834b4cf541892d3cd0b432f03783b4b860cf4c7136c7c49 SHA512 141a432b8d5f43feea6cc86be504e35b5133590466f1a28c5ba60a208cde9d3cc1a6f19702757e132e4255220e1161f6dc9621ec18a789d963738b9801e52da1
+DIST gh-0.17.0.tar.gz 129494 BLAKE2B c7c777fb1f0f417c62c9ec0598716302c2cb0a6870ff9534cabf03baea33e73581cac9bbe1f803d23adeb16b15e5af06e4dcc61ab2300846b6c5c227ddf7aaea SHA512 b655552180dd48a9de05d925d9795278ba8f293d03e07fc0675aae9bcef264f45a840b37cc855718c1118c31964625775b1156facf52781e99255bb16e7895a1

diff --git a/dev-ruby/gh/gh-0.17.0.ebuild b/dev-ruby/gh/gh-0.17.0.ebuild
new file mode 100644
index 00000000000..e119d305502
--- /dev/null
+++ b/dev-ruby/gh/gh-0.17.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="gh.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="multi-layer client for the github api v3"
+HOMEPAGE="https://github.com/travis-ci/gh"
+SRC_URI="https://github.com/travis-ci/gh/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "
+	dev-ruby/webmock
+"
+
+ruby_add_rdepend "
+	dev-ruby/activesupport:5.2
+	>=dev-ruby/addressable-2.4.0:0
+	dev-ruby/faraday:1
+	dev-ruby/faraday_middleware:1
+	>dev-ruby/multi_json-1.0
+	dev-ruby/net-http-pipeline
+	>=dev-ruby/net-http-persistent-2.9:*
+"
+
+all_ruby_prepare() {
+	sed -i \
+		-e '/addressable/ s/2.4.0/2.4/' \
+		-e '/net-http-persistent/ s/~> 2.9/>= 2.9/' \
+		-e 's/git ls-files/find/' \
+		"${RUBY_FAKEGEM_GEMSPEC}" || die
+}